Bug 102846 - Infinite loop CSV import
Summary: Infinite loop CSV import
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Import
  Show dependency treegraph
 
Reported: 2016-09-30 06:36 UTC by psockeel
Modified: 2020-07-21 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
KB3194496 description file (3.44 MB, text/plain)
2016-09-30 06:36 UTC, psockeel
Details
Settings used for Import (48.70 KB, image/png)
2017-04-06 08:17 UTC, thomas.beck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description psockeel 2016-09-30 06:36:14 UTC
Created attachment 127732 [details]
KB3194496 description file

In Calc v5.2.1.2 (x64), there is an infinite loop while opening a CSV file coming from Microsoft: http://download.microsoft.com/download/C/F/D/CFD1B7FD-C077-4BF8-AEA6-C048E7928870/3194496.csv.
Comment 1 Xisco Faulí 2016-10-01 00:49:14 UTC
I can't reproduce it in

Version: 5.3.0.0.alpha0+
Build ID: 33a2e47c907f7e2c1995b4a1e910dec94c3cedb4
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Urmas 2016-10-01 12:33:09 UTC
Confirmed in 5.3 in Windows.

The file is not a proper CSV as it has several parts and plain text.
Comment 3 thomas.beck 2017-04-06 08:17:26 UTC
Created attachment 132364 [details]
Settings used for Import

Can't reproduce in

Version: 5.4.0.0.alpha0+
Build ID: 60a65d25695ee2e8ea9f2b1fb3e91a8257cd016e
CPU threads: 8; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

I used the settings shown in the attached screenshot and the file opened successfully.
Comment 4 QA Administrators 2018-07-21 02:40:51 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-07-21 03:47:16 UTC
Dear psockeel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug